#!/bin/sh
# filename: /var/bin/firewall.gbox.sh
export PATH=/sbin:/usr/sbin:/bin:/usr/bin
GBOXFILE="/tmp/gbox.state"
ETAT=""
DYNDNS="/var/etc/firewall.dyndns"
GBOXSHARE="/tmp/share.onl"
RESTARTEMU="0"
EMU="/var/etc/plimgr/scripts/gbox"

ETAT=`cat $GBOXFILE`

if [ $ETAT != 12 ]; then
        ETAT=`expr $ETAT + 1`
	echo $ETAT > $GBOXFILE
        exit
fi

rm $GBOXFILE

for HOST in $(cat $DYNDNS)

do
TRAVAIL=""
NEWIP=""
IPGBOX=""
HOSTFILE=""
IP1=0
IP2=0
IP3=0
IP4=0

HOSTFILE="/tmp/$HOST"

NEWIP=`cat $HOSTFILE`

TRAVAIL=`cat $GBOXSHARE | grep $HOST`
IPGBOX=`echo $TRAVAIL | awk '{print $3}'`

IPA=`echo $IPGBOX | awk '{FS="."; print $1}'`
IPB=`echo $IPGBOX | awk '{FS="."; print $2}'`
IPC=`echo $IPGBOX | awk '{FS="."; print $3}'`
IPD=`echo $IPGBOX | awk '{FS="."; print $4}'`

IP1=`expr $IP1 + $IPA`
IP2=`expr $IP2 + $IPB`
IP3=`expr $IP3 + $IPC`
IP4=`expr $IP4 + $IPD`

IPGBOX=`echo $IP1``echo "."``echo $IP2``echo "."``echo $IP3``echo "."``echo $IP4`

if [ $NEWIP != $IPGBOX ]; then
        RESTARTEMU="1"
        echo "`date`: EMU will restart for `echo $HOST`" >> /var/tmp/gbox_restart.log
fi

done

if [ $RESTARTEMU = 1 ]; then
	$EMU stop
	$EMU start
	echo "`date`: service restarted, everything is fine" >> /var/tmp/gbox_restart.log
fi
